Building and running the latest code

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Building and running the latest code

damien093
I am trying to build and run the latest code from GitHub on Ubuntu 14.04.

I am able to successfully run ./Autogen.sh:

 Media/Graphics:
    GStreamer# backend:    yes
    GStreamer C backend:   no
    Clutter:              

  Operating System/Desktop Environment:
    GNOME Support:         yes
    OSX Support:           no

  Digital Audio Player (DAP) Support:
    Apple Device:          yes (libgpod-sharp)
    Karma:                 no
    Mass Storage:          yes
    MTP:                   yes

  Extra Features:
    Web Browser:           no (webkitgtk-3.0 >= 1.2.2, libsoup-2.4 >= 2.42)
    DAAP:                  yes
    GIO Backend:           yes (gio-sharp >= 2.99)
    GIO Hardware:          yes (gudev-sharp >= 3.0)
    YouTube:               yes (gdata-sharp >= 1.4)
    Sound Menu:            no
    Ubuntu One Store:      no (ubuntuone-sharp >= 0.9.2)
    UPnP:                  yes (mono-upnp >= 0.1)
    Boo Scripting:         no (boo >= 0.8.1)

  Build/Development:
    Unit Tests:            yes (nunit >= 2.5)
    API Docs:              yes (monodocer and mdassembler)
    User Help:             yes (gnome-doc-utils >= 0.17.3)
    Release Build:         no
    Vendor Build ID:       git-checkout

If I then try to build the code with the  'make' command, it fails to build when it gets to Banshee.Dap.AppleDevice:

Making all in Banshee.Dap.AppleDevice
  MCS   ../../../bin/Banshee.Dap.AppleDevice.dll
error CS1703: An assembly `atk-sharp' with the same identity has already been imported. Consider removing one of the references
/usr/lib/pkgconfig/../../lib/cli/atk-sharp-2.0/atk-sharp.dll (Location of the symbol related to previous error)
/usr/lib/pkgconfig/../../lib/cli/atk-sharp-3.0/atk-sharp.dll (Location of the symbol related to previous error)
error CS1703: An assembly `gdk-sharp' with the same identity has already been imported. Consider removing one of the references
/usr/lib/pkgconfig/../../lib/cli/gdk-sharp-2.0/gdk-sharp.dll (Location of the symbol related to previous error)
/usr/lib/pkgconfig/../../lib/cli/gdk-sharp-3.0/gdk-sharp.dll (Location of the symbol related to previous error)
error CS1703: An assembly `glib-sharp' with the same identity has already been imported. Consider removing one of the references
/usr/lib/pkgconfig/../../lib/cli/glib-sharp-2.0/glib-sharp.dll (Location of the symbol related to previous error)
/usr/lib/pkgconfig/../../lib/cli/glib-sharp-3.0/glib-sharp.dll (Location of the symbol related to previous error)
error CS1703: An assembly `gtk-sharp' with the same identity has already been imported. Consider removing one of the references
/usr/lib/pkgconfig/../../lib/cli/gtk-sharp-2.0/gtk-sharp.dll (Location of the symbol related to previous error)
/usr/lib/pkgconfig/../../lib/cli/gtk-sharp-3.0/gtk-sharp.dll (Location of the symbol related to previous error)
error CS1703: An assembly `pango-sharp' with the same identity has already been imported. Consider removing one of the references
/usr/lib/pkgconfig/../../lib/cli/pango-sharp-2.0/pango-sharp.dll (Location of the symbol related to previous error)
/usr/lib/pkgconfig/../../lib/cli/pango-sharp-3.0/pango-sharp.dll (Location of the symbol related to previous error)
error CS1705: Assembly `Hyena.Gui, Version=2.9.0.0, Culture=neutral, PublicKeyToken=null' references `gtk-sharp, Version=3.0.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' which has a higher version number than imported assembly `gtk-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f'
error CS1705: Assembly `Hyena.Gui, Version=2.9.0.0, Culture=neutral, PublicKeyToken=null' references `atk-sharp, Version=3.0.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' which has a higher version number than imported assembly `atk-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f'
error CS1705: Assembly `gio-sharp, Version=3.0.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' references `glib-sharp, Version=3.0.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' which has a higher version number than imported assembly `glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f'
Compilation failed: 8 error(s), 0 warnings
make[4]: *** [../../../bin/Banshee.Dap.AppleDevice.dll] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

So I tried opening the .sln file using MonoDevelop, and when I build in MonoDevelop I get the following error:

/home/will/Programming/git/banshee/src/Clients/Nereid/Nereid/PlayerInterface.cs(21,21): Error CS0012: The type `GLib.Application' is defined in an assembly that is not referenced. Consider adding a reference to assembly `gio-sharp, Version=3.0.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' (CS0012) (Nereid)

When I add the reference for gio-sharp, the code will builds and runs. However, Banshee is unable to play any tracks when running - double clicking a track will not play the track as usual.

Does anyone know what could be causing this issue?